Re: Updates for 15000


darlene Reese
 

If I have Janome 15000 version 2, do I still need to update to version 2.11? Or are these just updates for the Janome 15000 only? I am so confused. Sent from my iPad

[Confusion is one of the more populated states in the lower 48.]
Version 2.11 was created for compatibility with the Embroidery Couching foot and the AcuSetter app. If you aren't using those then you don't NEED it. Usually it's best to update when they come out with new versions, though, because Janome doesn't usually tell us what bugs may have been fixed in a release.

Join onlinesewing-janome@groups.io to automatically receive all group messages.